# Ogre::Camera::Listener Class Reference

Listener interface so you can be notified of Camera events. More...

`#include <OgreCamera.h>`

Inheritance diagram for Ogre::Camera::Listener:
[legend]

List of all members.

## Public Member Functions

| Listener ()
virtual | ~Listener ()
virtual void | cameraPreRenderScene (Camera *cam)
| Called prior to the scene being rendered with this camera.
virtual void | cameraPostRenderScene (Camera *cam)
| Called after the scene has been rendered with this camera.
virtual void | cameraDestroyed (Camera *cam)
| Called when the camera is being destroyed.

## Detailed Description

Listener interface so you can be notified of Camera events.

Definition at line 90 of file OgreCamera.h.

## Constructor & Destructor Documentation

Ogre::Camera::Listener::Listener | ( |  | ) |

Definition at line 93 of file OgreCamera.h.

virtual Ogre::Camera::Listener::~Listener | ( |  | ) | `[virtual]`

Definition at line 94 of file OgreCamera.h.

## Member Function Documentation

virtual void Ogre::Camera::Listener::cameraDestroyed | ( | Camera * | cam | ) | `[virtual]`

Called when the camera is being destroyed.

Reimplemented in Ogre::PageManager::EventRouter.

Definition at line 105 of file OgreCamera.h.

virtual void Ogre::Camera::Listener::cameraPostRenderScene | ( | Camera * | cam | ) | `[virtual]`

Called after the scene has been rendered with this camera.

Definition at line 101 of file OgreCamera.h.

virtual void Ogre::Camera::Listener::cameraPreRenderScene | ( | Camera * | cam | ) | `[virtual]`

Called prior to the scene being rendered with this camera.

Reimplemented in Ogre::PageManager::EventRouter.

Definition at line 97 of file OgreCamera.h.

The documentation for this class was generated from the following file:

- OgreCamera.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:10